/* 
Theme Name: Child
Author: Consulweb Development Team
Author URI: https://www.consulweb.net
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

@font-face {
	font-family: 'OktaNeue';
	src: url('/wp-content/themes/child/fonts/OktaNeue-Light.woff2') format('woff2'); 
	font-weight: 300;
	font-style: normal;
	font-display: swap;
}
@font-face {
	font-family: 'OktaNeue';
	src: url('/wp-content/themes/child/fonts/OktaNeue-Bold.woff2') format('woff2'); 
	font-weight: 700;
	font-style: normal;
	font-display: swap;
}

/* tipografia */
body {
	font-family: 'OktaNeue', -apple-system, sans-serif;
	-webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
	font-size: 16px;
}
h1, h2, h3, h4, h5, h6 {
	font-family: 'OktaNeue', -apple-system, sans-serif;
	font-weight: 300;
	letter-spacing: 1px;
	/*-webkit-text-stroke: .5px rgba(255,255,255,.5);*/
}
@media (min-width: 1100px) {
	h1 {
    font-size: 3.3rem;
	}
	h2 {
	font-size: 2.9rem;
	}
	.single-post .site-main h1 {
		font-size: 2.4rem;
		color: var(--e-global-color-accent);
	}
	.single-post .site-main h2 {
		font-size: 1.8rem;
	}
	.single-post .site-main h3 {
		font-size: 1.3rem;
	}
}

/* general */
body, a {
	color: var(--e-global-color-text);
}
a:hover, a:active {
	color: var(--e-global-color-accent);
}
html {
  scrollbar-width: thin;
  scrollbar-color: var(--e-global-color-primary) transparent;
}

/* header */
#cabecera {
	position: relative;
	width: 100%;
	z-index: 8888;
}
#cabecera.hfe-sticky {
	top: 0px;
	position: fixed;
	width: 100%;
	animation: slide-down 0.8s;
}

@keyframes slide-down {
    0% {
        opacity: 0;
        transform: translateY(-100%);
    } 
    100% {
        opacity: 0.9;
        transform: translateY(0);
    }
}

@media (max-width: 767px) {
	#cabecera.elementor-section,
	#cabecera.elementor-section.hfe-sticky {
		top: 0;
		padding: 0;
	}
	#cabecera.elementor-section .headerlogo img,
	#cabecera.elementor-section .headerlogo-r img {
		transform: scale(.8);
	}
}
#h-logo a {display: flex;}

@media (min-width: 768px){
	#cabecera.elementor-section .headerlogo img,
	#cabecera.elementor-section .headerlogo-r img {
		transform: scale(1);
		will-change: transform;
		transition: .5s;
	}
	#cabecera.elementor-section.hfe-sticky .headerlogo img {
		transform: scale(.8);
		transform-origin: center;
		transition: 1s;
	}
	#cabecera.elementor-section.hfe-sticky .headerlogo-r img {
		transform: scale(.8);
		transform-origin: right;
		transition: 1s;
	}
	/*.no-link a.hfe-menu-item {
		cursor: default!important;
		color: var(--e-global-color-text)!important;}*/
}
.head-icon .elementor-widget-container {
    line-height: 0;
	cursor: pointer;
}


/* inputs, buttons */
.elementor-button {
	display: block;
	font-family: 'OktaNeue';
	font-weight: 700;
	font-size: 1.1rem;
	border-radius: 0;
	padding: .75em 1.25em;
	letter-spacing: 2px;
	position: relative;
	width: max-content;
	background: var(--e-global-color-primary);
	background-size: 500%;
	outline: none;
	-webkit-appearance: none;
	-webkit-tap-highlight-color: transparent;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

/* efectos de entrada */
@keyframes fadeDown {
    from {
        opacity: 0;
        transform: translate3d(0,-30px,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}
.elementor-element.fadeInDown {
    animation-name: fadeDown
}
@keyframes fadeLeft {
    from {
        opacity: 0;
        transform: translate3d(-30px,0,0)
    }
    to {
        opacity: 1;
        transform: none
    }
}
.elementor-element.fadeInLeft {
    animation-name: fadeLeft
}
@keyframes fadeRight {
    from {
        opacity: 0;
        transform: translate3d(30px,0,0)
    }
    to {
        opacity: 1;
        transform: none
    }
}
.elementor-element.fadeInRight {
    animation-name: fadeRight
}
@keyframes fadeUp {
    from {
        opacity: 0;
        transform: translate3d(0,30px,0)
    }
    to {
        opacity: 1;
        transform: none
    }
}
.elementor-element.fadeInUp {
    animation-name: fadeUp
}

/* selector idioma */
.wpml-ls-legacy-list-horizontal {
	border: 0!important;
	padding: 0!important;
}
.wpml-ls-legacy-list-horizontal>ul {
	font-size: 1.4rem;
}
.wpml-ls-legacy-list-horizontal a {
	padding: 0!important;
}

/* home */
.secc .desco, .secc .costas{
    transition:.5s;
}
.secc:not(:hover) .desco{
    opacity: 0;
    transition:.5s;
}
.secc:hover .costas {
    transition:.5s;
    transform: translateY(-20px);
}
.secc .elementor-divider-separator {
    transition:.5s;
    width: 50px;}
.secc:hover .elementor-divider-separator {
    transition:.5s;
    width: 100px;}

/* tarjetas scroll horizontal */
.card-wrap .elementor-element-populated {
	display: grid!important;
	grid-auto-flow: column;
	place-items: center;
	overflow-x: scroll;
	scroll-snap-type: x proximity;
}
.card {
    background: var(--e-global-color-secondary);
    margin: 1rem!important;
	scroll-snap-align: center;
	min-height: 442px;
	transition: .5s;
	transform-origin: center;
}
.card .elementor-image-box-img,
.card .elementor-image-box-img img {
	width: -webkit-fill-available;
}

.card .elementor-image-box-content {
	padding: 0 1rem 1rem;
}

/* tabs fix */
.pest .elementor-tab-title:not(:first-child) {
    border-top: 1px solid #ddd!important;
}

/* entradas de blog */
.single-post .page-header.titulo img {
	margin: 20px 0;
}
.single-post .page-content {
	margin-bottom: 90px;
}
.blog-pn {
	display: flex;
	width: 100%;
	justify-content: space-between;
	border-top: 2px solid;
	border-bottom: 2px solid;
	color: var(--e-global-color-accent);
	margin: 70px 0;
	padding: 1rem 0;
}
.blog-pn .previous-button,
.blog-pn .next-button {
	display: inline-block;
	font-size: .9rem;
}